using Newtonsoft.Json;

namespace OF_DL.Models.Dtos.Highlights;

public class StoryDto
{
    [JsonProperty("id")] public long Id { get; set; }

    [JsonProperty("userId")] public long UserId { get; set; }

    [JsonProperty("isWatched")] public bool IsWatched { get; set; }

    [JsonProperty("isReady")] public bool IsReady { get; set; }

    [JsonProperty("media")] public List<MediumDto> Media { get; set; } = [];

    [JsonProperty("createdAt")] public DateTime? CreatedAt { get; set; }

    [JsonProperty("question")] public object Question { get; set; } = new();

    [JsonProperty("canLike")] public bool CanLike { get; set; }

    [JsonProperty("isLiked")] public bool IsLiked { get; set; }
}
